Bug 20550 - [SDVO-TV]the desktop is teared in four sections on the screen
Summary: [SDVO-TV]the desktop is teared in four sections on the screen
Status: VERIFIED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: git
Hardware: Other Linux (All)
: medium normal
Assignee: Wang Zhenyu
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 20276
  Show dependency treegraph
 
Reported: 2009-03-08 23:58 UTC by liuhaien
Modified: 2009-03-10 19:07 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
xorg.0.log (124.69 KB, text/plain)
2009-03-08 23:58 UTC, liuhaien
no flags Details
xorg conf file (3.36 KB, text/plain)
2009-03-08 23:58 UTC, liuhaien
no flags Details
screenshot (404.05 KB, image/png)
2009-03-08 23:59 UTC, liuhaien
no flags Details
photo from camera (84.51 KB, image/jpeg)
2009-03-09 00:00 UTC, liuhaien
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description liuhaien 2009-03-08 23:58:30 UTC
Created attachment 23667 [details]
xorg.0.log

System Environment:
--------------------------

--Platform:g45

--Architecture:64-bit

Libdrm: (master)391c92ae1799f0d1fddb2321c5713afc58575514
Mesa:   (mesa_7_4_branch)463ac421a53c769922f174b3a07f7014f64b3234               
Xserver:        (server-1.6-branch)f469726fec502ce29999eda6919c3c3d26c127d8
Xf86_video_intel:       (master)646e12a9783d1d48ef21841f0909287a876731a4
Kernel:       (for-airlied)edde72a59461d766997b469f6d20afdf5fe9b5b4


Bug detailed description:
--------------------------
connect TV by ADD2 card(SDVO-TV),then start X, the destop is teared in four sections as is shown in the attched photo, but from the screenshot by gnome-screenshot tool, the desktop seems like well(see the attached screenshot). 

Reproduce steps:
-------------------------
1.xinit&
2.gnome-session&
Comment 1 liuhaien 2009-03-08 23:58:48 UTC
Created attachment 23668 [details]
xorg conf file
Comment 2 liuhaien 2009-03-08 23:59:29 UTC
Created attachment 23669 [details]
screenshot
Comment 3 liuhaien 2009-03-09 00:00:10 UTC
Created attachment 23670 [details]
photo from camera
Comment 4 Wang Zhenyu 2009-03-09 23:37:30 UTC
Fixed in master. Please verify.
commit 2fcf4fcccfe7cfa1425985d21a144137eca07f4e
Author: Zhenyu Wang <zhenyu.z.wang@intel.com>
Date:   Tue Mar 10 14:21:36 2009 +0800

    SDVO: fix pixel multiplier setting for TV
    
    We should use preferred input timing's clock for correct
    pixel multiplier setting, otherwise we might get inconsistent
    multiplier setting on pipe and SDVO device for some modes.
Comment 5 liuhaien 2009-03-10 19:07:50 UTC
(In reply to comment #4)
> Fixed in master. Please verify.
> commit 2fcf4fcccfe7cfa1425985d21a144137eca07f4e
> Author: Zhenyu Wang <zhenyu.z.wang@intel.com>
> Date:   Tue Mar 10 14:21:36 2009 +0800
> 
>     SDVO: fix pixel multiplier setting for TV
> 
>     We should use preferred input timing's clock for correct
>     pixel multiplier setting, otherwise we might get inconsistent
>     multiplier setting on pipe and SDVO device for some modes.
> 
verified against:
Libdrm:		(master)82eac8060b98b425f29051bfd7830ba3622be7d8
Mesa:		(mesa_7_4_branch)2adaec12267767747a22646c759b0d6c1651d3bf  	
Xserver:	(server-1.6-branch)f469726fec502ce29999eda6919c3c3d26c127d8
Xf86_video_intel:		(master)2fcf4fcccfe7cfa1425985d21a144137eca07f4e
Kernel:       (for-airlied)edde72a59461d766997b469f6d20afdf5fe9b5b4


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.